[Testing Update] 2019-12-01 - Kernels, Nvidia, Systemd 243, Alsa

Hello community,

I am happy to announce another Testing Update.


Check out the Gnome Preview for the PinebookPro

Some feature-updates:

  • python 3.8 rebuilds by Arch and Manjaro
  • we updated some of our kernels
  • new Nvidia driver
  • fixes to alsa-lib
  • we updated systemd to 243 series. Let us know if that might be with regressions
  • the usual upstream fixes and haskell rebuilds.

If you like following latest Plasma development you may also like to check out our current version of mnjaro-kde-vanilla, which we build on a regular basis against kde-git master packages.

As always we appreciate your input and feedback for the updates.


Our current supported kernels:

  • linux316 3.16.78
  • linux44 4.4.205
  • linux49 4.9.205
  • linux414 4.14.157
  • linux419 4.19.87 (virtualbox-guest-modules)
  • linux53 5.3.14
  • linux54 5.4.1
  • linux419-rt 4.19.72_rt26
  • linux52-rt 5.2.21_rt13

Package Changes (Sun Dec 1 17:54:28 CET 2019)

  • testing community x86_64: 45 new and 41 removed package(s)
  • testing core x86_64: 9 new and 9 removed package(s)
  • testing extra x86_64: 52 new and 52 removed package(s)
  • testing multilib x86_64: 4 new and 5 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-11-30           2019-12-01
-------------------------------------------------------------------------------
                    appimagelauncher              2.0.3-1              2.1.0-1
                         edid-decode       r277.d0a1a41-1       r288.71b0be2-1
            linux419-rt-nvidia-440xx             440.31-2             440.36-1
             linux52-rt-nvidia-440xx             440.31-2             440.36-1
         python-jade-application-kit              2.1.1-1              2.1.3-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-11-30           2019-12-01
-------------------------------------------------------------------------------
                             aws-cli           1.16.283-1           1.16.292-1
                           borgmatic             1.4.15-1             1.4.16-1
                              bshapr                0.5-1                0.6-1
                               giada             0.15.4-3             0.16.0-1
                       libsemigroups              1.0.1-1              1.0.2-1
                                mypy              0.740-1              0.750-1
                             neomutt           20191111-1           20191129-1
                           oniguruma              6.9.3-1              6.9.4-1
                     postgresql-ip4r              2.4.1-1              2.4.1-2
                        pulseeffects              4.6.8-3              4.6.9-1
           python-aws-sam-translator             1.15.1-2             1.16.0-1
                        python-boto3            1.10.19-1            1.10.28-1
                     python-botocore            1.13.19-1            1.13.28-1
                      python-dulwich            0.19.13-3            0.19.14-1
                    python-icalendar              4.0.3-3              4.0.4-1
               python-jsonrpc-server              0.3.0-1              0.3.1-1
                       python-pyglet              1.4.6-2              1.4.7-1
                    python-qtconsole              4.5.5-3              4.6.0-1
                    python-terminado              0.8.2-3              0.8.3-1
                     python-testpath              0.4.2-3              0.4.4-1
                      python2-pyglet              1.4.6-2              1.4.7-1
                           uglify-js              3.7.0-1              3.7.1-1
                               uwsgi             2.0.18-4             2.0.18-5
                    uwsgi-plugin-cgi             2.0.18-4             2.0.18-5
                    uwsgi-plugin-jvm             2.0.18-4             2.0.18-5
                  uwsgi-plugin-lua51             2.0.18-4             2.0.18-5
                   uwsgi-plugin-mono             2.0.18-4             2.0.18-5
               uwsgi-plugin-notfound             2.0.18-4             2.0.18-5
                    uwsgi-plugin-php             2.0.18-4             2.0.18-5
                   uwsgi-plugin-psgi             2.0.18-4             2.0.18-5
                   uwsgi-plugin-pypy             2.0.18-4             2.0.18-5
                 uwsgi-plugin-python             2.0.18-4             2.0.18-5
                uwsgi-plugin-python2             2.0.18-4             2.0.18-5
                   uwsgi-plugin-rack             2.0.18-4             2.0.18-5
                 uwsgi-plugin-webdav             2.0.18-4             2.0.18-5
                 uwsgi-plugin-zabbix             2.0.18-4             2.0.18-5
                          cargo-crev                    -             0.13.0-1
                          cargo-tree                    -             0.26.0-2
                          diesel-cli                    -              1.4.3-2
                           xmonk.lv2                    -                0.3-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-11-30           2019-12-01
-------------------------------------------------------------------------------
                            linux414           4.14.156-1           4.14.157-1
                    linux414-headers           4.14.156-1           4.14.157-1
                            linux419            4.19.86-1            4.19.87-1
                    linux419-headers            4.19.86-1            4.19.87-1
                   mhwd-nvidia-440xx             440.31-1             440.36-1
                             systemd            242.153-1            243.162-1
                        systemd-libs            242.153-1            243.162-1
                  systemd-resolvconf            242.153-1            243.162-1
                  systemd-sysvcompat            242.153-1            243.162-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-11-30           2019-12-01
-------------------------------------------------------------------------------
                              amdvlk          2019.Q4.2-1                    -
               linux316-nvidia-440xx             440.31-2             440.36-1
                  linux414-acpi_call            1.1.0-128            1.1.0-129
                   linux414-bbswitch              0.8-128              0.8-129
                linux414-broadcom-wl     6.30.223.271-128     6.30.223.271-129
                linux414-ndiswrapper              1.62-23              1.62-24
               linux414-nvidia-340xx           340.107-87           340.107-88
               linux414-nvidia-390xx            390.132-5            390.132-6
               linux414-nvidia-430xx             430.64-3             430.64-4
               linux414-nvidia-435xx            435.21-13            435.21-14
               linux414-nvidia-440xx             440.31-5             440.36-1
                   linux414-nvidiabl             0.88-128             0.88-129
                      linux414-r8168           8.047.05-1           8.047.05-2
                  linux414-rt3562sta       2.4.1.1_r4-127       2.4.1.1_r4-128
                   linux414-tp_smapi              0.43-20              0.43-21
                linux414-vhba-module          20190831-13          20190831-14
   linux414-virtualbox-guest-modules             6.0.14-7             6.0.14-8
    linux414-virtualbox-host-modules             6.0.14-7             6.0.14-8
                        linux414-zfs             0.8.2-10             0.8.2-11
                  linux419-acpi_call             1.1.0-76             1.1.0-77
                   linux419-bbswitch               0.8-76               0.8-77
                linux419-broadcom-wl      6.30.223.271-75      6.30.223.271-76
                linux419-ndiswrapper              1.62-25              1.62-26
               linux419-nvidia-340xx           340.107-75           340.107-76
               linux419-nvidia-390xx            390.132-5            390.132-6
               linux419-nvidia-418xx            418.113-4            418.113-5
               linux419-nvidia-430xx             430.64-4             430.64-5
               linux419-nvidia-435xx            435.21-15            435.21-16
               linux419-nvidia-440xx             440.31-5             440.36-1
                   linux419-nvidiabl              0.88-75              0.88-76
                      linux419-r8168           8.047.05-1           8.047.05-2
                  linux419-rtl8723bu   4.3.9.3.13200.0-60   4.3.9.3.13200.0-61
                   linux419-tp_smapi              0.43-25              0.43-26
                linux419-vhba-module          20190831-15          20190831-16
   linux419-virtualbox-guest-modules             6.0.14-7                    -
    linux419-virtualbox-host-modules             6.0.14-7             6.0.14-8
                        linux419-zfs             0.8.2-11             0.8.2-12
                linux44-nvidia-440xx             440.31-6             440.36-1
                linux49-nvidia-440xx             440.31-6             440.36-1
                linux53-nvidia-440xx             440.31-6             440.36-1
                linux54-nvidia-440xx             440.31-3             440.36-1
                  nvidia-440xx-utils             440.31-1             440.36-1
                 opencl-nvidia-440xx             440.31-1             440.36-1
                           pamac-cli         9.2.0beta3-2            9.2.0rc-1
                        pamac-common         9.2.0beta3-2            9.2.0rc-1
                           pamac-gtk         9.2.0beta3-2            9.2.0rc-1
                   pamac-snap-plugin         9.2.0beta3-2            9.2.0rc-1
             pamac-tray-appindicator         9.2.0beta3-2            9.2.0rc-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-11-30           2019-12-01
-------------------------------------------------------------------------------
                            alsa-lib            1.2.1.2-1            1.2.1.2-2
                          fluidsynth              2.0.9-1              2.1.0-1
                         imagemagick            7.0.9.6-1            7.0.9.7-1
                     imagemagick-doc            7.0.9.6-1            7.0.9.7-1
                  alsa-topology-conf                    -              1.2.1-1
                       alsa-ucm-conf                    -            1.2.1.2-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-11-30           2019-12-01
-------------------------------------------------------------------------------
                        lib32-amdvlk          2019.Q4.2-1                    -
            lib32-nvidia-440xx-utils             440.31-1             440.36-1
           lib32-opencl-nvidia-440xx             440.31-1             440.36-1
                       lib32-systemd            242.153-1            243.162-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-11-30           2019-12-01
-------------------------------------------------------------------------------
                    lib32-fluidsynth              2.0.9-1              2.1.0-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

5 Likes

Wiki post

2019-12-03: I can't build AUR packages with Pamac

Before anything else, please verify in /etc/pamac.conf if BuildDirectory is set up correctly. For example:

## AUR build directory:
BuildDirectory = /var/tmp

If you have something like /var or / instead, you might have been affected by the following bug. A bug in Pamac "corrupted" the value of BuildDirectory, which ultimately leads to a directory that Pamac can't write in (to create a directory) because the user does not have the permission to do so, hence why Pamac failed to build AUR packages.

This bug should be fixed by now in Pamac 9.2.0rc, but users affected by the bug have to change back this parameter to a correct value manually, which can be done either with a text editor by editing /etc/pamac.conf OR graphically within Pamac GTK by going in Preferences > AUR.

i have this report with systemd 243

systemd-udevd[347]: /usr/lib/udev/rules.d/11-dm-lvm.rules:40 Invalid value for OPTIONS key, ignoring: 'event_timeout=180'
systemd-udevd[347]: /usr/lib/udev/rules.d/11-dm-lvm.rules:40 The line takes no effect, ignoring.
systemd-udevd[351]: sdf: /etc/udev/rules.d/60-schedulers.rules:4 Failed to write ATTR{/sys/devices/pci0000:00/0000:00:17.0/ata6/host5/target5:0:0/5:0:0:0/block/sdf/queue/scheduler}, ignoring: Invalid argument

11-dm-lvm.rules
# Copyright (C) 2009 Red Hat, Inc. All rights reserved.
#
# This file is part of LVM2.

# Udev rules for LVM.
#
# These rules create symlinks for LVM logical volumes in
# /dev/VG directory (VG is an actual VG name). Some udev
# environment variables are set (they can be used in later
# rules as well):
#   DM_LV_NAME - logical volume name
#   DM_VG_NAME - volume group name
#   DM_LV_LAYER - logical volume layer (blank if not set)

# "add" event is processed on coldplug only!
ACTION!="add|change", GOTO="lvm_end"
ENV{DM_UDEV_RULES_VSN}!="?*", GOTO="lvm_end"
ENV{DM_UUID}!="LVM-?*", GOTO="lvm_end"

# Use DM name and split it up into its VG/LV/layer constituents.
IMPORT{program}="/usr/bin/dmsetup splitname --nameprefixes --noheadings --rows $env{DM_NAME}"

# DM_SUBSYSTEM_UDEV_FLAG0 is the 'NOSCAN' flag for LVM subsystem.
# This flag is used to temporarily disable selected rules to prevent any
# processing or scanning done on the LVM volume before LVM has any chance
# to zero any stale metadata found within the LV data area. Such stale
# metadata could cause false claim of the LV device, keeping it open etc.
#
# If the NOSCAN flag is present, backup selected existing flags used to
# disable rules, then set them firmly so those selected rules are surely skipped.
# Restore these flags once the NOSCAN flag is dropped (which is normally any
# uevent that follows for this LV, even an artificially generated one).
ENV{DM_SUBSYSTEM_UDEV_FLAG0}=="1", ENV{DM_NOSCAN}="1", ENV{DM_DISABLE_OTHER_RULES_FLAG_OLD}="$env{DM_UDEV_DISABLE_OTHER_RULES_FLAG}", ENV{DM_UDEV_DISABLE_OTHER_RULES_FLAG}="1"
ENV{DM_SUBSYSTEM_UDEV_FLAG0}!="1", IMPORT{db}="DM_NOSCAN", IMPORT{db}="DM_DISABLE_OTHER_RULES_FLAG_OLD"
ENV{DM_SUBSYSTEM_UDEV_FLAG0}!="1", ENV{DM_NOSCAN}=="1", ENV{DM_UDEV_DISABLE_OTHER_RULES_FLAG}="$env{DM_DISABLE_OTHER_RULES_FLAG_OLD}", \
				   ENV{DM_DISABLE_OTHER_RULES_FLAG_OLD}="", ENV{DM_NOSCAN}=""

ENV{DM_UDEV_DISABLE_SUBSYSTEM_RULES_FLAG}=="1", GOTO="lvm_end"

OPTIONS+="event_timeout=180"

# Do not create symlinks for inappropriate subdevices.
ENV{DM_LV_NAME}=="pvmove?*|?*_vorigin", GOTO="lvm_disable"
ENV{DM_LV_LAYER}=="?*", GOTO="lvm_disable"

# Create symlinks for top-level devices only.
ENV{DM_VG_NAME}=="?*", ENV{DM_LV_NAME}=="?*", SYMLINK+="$env{DM_VG_NAME}/$env{DM_LV_NAME}", GOTO="lvm_end"

LABEL="lvm_disable"
ENV{DM_UDEV_DISABLE_DISK_RULES_FLAG}="1"
ENV{DM_UDEV_DISABLE_OTHER_RULES_FLAG}="1"
OPTIONS:="nowatch"

LABEL="lvm_end"

60-schedulers-rules
# set deadline scheduler for non-rotating disks
ACTION=="add|change", KERNEL=="sd[a-z]", ATTR{queue/rotational}=="0", ATTR{queue/scheduler}="bfq"
# set bfq-mq scheduler for rotating disks
ACTION=="add|change", KERNEL=="sd[a-z]", ATTR{queue/rotational}=="1", ATTR{queue/scheduler}="bfq-mq"

For LVM I don't know. The scheduler issue might be cos our our patch.

test is now ok for standby mode with systemd243
i found this about lvm-rules
https://bugs.archlinux.org/task/63640

1 Like

So far so good, update went fine, switching GPUs works flawlessly, Steam is working, the usual programs are working.

I'm curious if pamac issues were fixed.

EDIT: Nope, still no AUR updates. After giving password to update chosen AUR packages I can see:

Nothing to do.
Operation was successful.

and the packages are still not updated... Pamac is still broken :frowning:

Can you verify if the AUR build directory is set to /tmp (/var/tmp) ? That seems to help.

Please note, if you are not using LVM2 in your partitions, then there is a way to remove this notice as follows: Enter this in Terminal

$ sudo systemctl mask lvm2-monitor.service

You should get a reply as follows:

Created symlink /etc/systemd/system/lvm2-monitor.service → /dev/null.

The last two updates, I get this error:

https://mirrors.gigenet.com/manjaro/testing/core/x86_64/systemd-libs-243.162-1-x86_64.pkg.tar.xz: Error 404
https://mirrors.gigenet.com/manjaro/testing/community/x86_64/python-jade-application-kit-2.1.3-1-any.pkg.tar.xz: Error 404
https://mirrors.ocf.berkeley.edu/manjaro/testing/core/x86_64/systemd-243.162-1-x86_64.pkg.tar.xz: Error 404
https://mirrors.ocf.berkeley.edu/manjaro/testing/core/x86_64/mhwd-nvidia-440xx-440.36-1-any.pkg.tar.xz: Error 404
https://repo.ialab.dsu.edu/manjaro/testing/core/x86_64/mhwd-nvidia-440xx-440.36-1-any.pkg.tar.xz: Error 404
https://repo.ialab.dsu.edu/manjaro/testing/core/x86_64/systemd-243.162-1-x86_64.pkg.tar.xz: Error 404

pacman-mirrors --f 5 && pacman -Syyu produces the same error.

pacman -Qo /etc/udev/rules.d/60-schedulers.rules should give you a hint about this file. It is likely you can just delete it without any worries.
I had exactly the same problem when 243.0 was introduced in September (AFAIR) because of this manually created file.

Just search for 60-schedulers on the forum.

No issues with systemd update here. It would have been nice to see the current v244. The slightly more stale but tested v243 will do for now :slightly_smiling_face:

this is already masked

Using pacui (graphic app in terminal) updates AUR too...

We can repackage systemd and remove the scheduler file as needed ...


I added some more packages ...

:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-01           2019-12-02
-------------------------------------------------------------------------------
                          breeze-git5.17.80.r1896.g0901e41a-15.17.80.r1897.g6fe54936-1
                      breeze-gtk-git5.17.80.r364.g980ceeb-15.17.80.r367.gb7b622f-1
                    breeze-icons-git5.64.0.r1420.g8732c6a9-15.65.0.r1434.g07a7d129-1
                               cpu-x             3.2.4-18             3.2.4-19
                        discover-git5.17.80.r7483.g1c9512d8-15.17.80.r7492.gfb6c1800-1
                         edid-decode       r288.71b0be2-1       r306.e0600cc-1
             extra-cmake-modules-git5.65.0.r3115.g6877275-15.65.0.r3119.g23d868a-1
                         kapidox-git5.65.0.r444.gf73dbc2-15.65.0.r445.gf8ff31d-1
                        karchive-git5.65.0.r396.gc5e03f6-15.65.0.r397.g25070fc-1
                      kbookmarks-git5.65.0.r292.g94b6424-15.65.0.r299.g4b8609a-1
                        kcmutils-git5.65.0.r346.gafc528c-15.65.0.r349.g0ca2124-1
                         kconfig-git5.65.0.r618.g9b8ef69-15.65.0.r620.g9044b4a-1
                  kconfigwidgets-git5.65.0.r411.gaca8ab3-15.65.0.r412.g7195691-1
                     kcoreaddons-git5.65.0.r900.g8f1952e-15.65.0.r902.gf9638b2-1
                     kdbusaddons-git5.65.0.r284.g75cf9e4-15.65.0.r285.g887b1cd-1
                   kde-cli-tools-git5.17.80.r1716.g567df68-15.17.80.r1737.g53653e9-1
                  kde-gtk-config-git5.17.80.r755.g1edbd12-15.17.80.r759.ge3274db-1
                     kdecoration-git5.17.80.r204.g7ed5869-15.17.80.r210.g771ed0c-1
                            kded-git5.65.0.r283.gd71ed82-15.65.0.r285.gfb89870-1
                 kdelibs4support-git5.65.0.r908.gc014119d-15.65.0.r910.g08d0fba9-1
                kdeplasma-addons-git5.17.80.r8210.g28333640f-15.17.80.r8221.ga8e1dd353-1
                 kdesignerplugin-git5.64.0.r251.ga6a648b-15.65.0.r255.g387fbc7-1
                           kdesu-git5.65.0.r371.gee29b60-15.65.0.r372.g90e3fd4-1
                       kdewebkit-git5.64.0.r207.g2f0ecd2-15.65.0.r210.gbcfcd6e-1
                      kguiaddons-git5.65.0.r251.gba4c1bb-15.65.0.r252.g49267f3-1
                       kholidays-git5.65.0.r829.g433257f-15.65.0.r830.g748d021-1
                        khotkeys-git5.17.80.r1959.g6c3ace7-15.17.80.r1972.gb90d015-1
                           ki18n-git5.65.0.r359.g39d667e-15.65.0.r360.g64862a6-1
                     kiconthemes-git5.65.0.r393.g205cd52-15.65.0.r394.g312f27f-1
                     kinfocenter-git5.17.80.r1577.g25c2c26-15.17.80.r1580.g121da76-1
                           kinit-git5.65.0.r316.gb9e33ae-15.65.0.r317.ga6cc8da-1
                             kio-git5.65.0.r3679.gb3bd2358-15.65.0.r3687.g54ccb1ac-1
                       kirigami2-git5.65.0.r2001.gdddef02d-15.65.0.r2007.g1f56aba8-1
                     kitemmodels-git5.65.0.r392.ge8a4450-15.65.0.r393.g68f3b29-1
                        kjsembed-git5.64.0.r215.g7d39fdd-15.65.0.r219.g867892f-1
                      knetattach-git5.17.80.r7081.gaa369d739-15.17.80.r7113.g8f8fe2c23-1
                       knewstuff-git5.65.0.r737.g8b2e875-15.65.0.r742.g917ef7b-1
                        kpackage-git5.65.0.r546.gf36bb4f-15.65.0.r548.gd6a6c21-1
                          kparts-git5.65.0.r359.g4460bb8-15.65.0.r362.g32e6ca2-1
                         kscreen-git5.17.80.r1191.g079bca9-15.17.80.r1206.g3149be3-1
                   kscreenlocker-git5.17.80.r745.gf368ffa-15.17.80.r749.g5156a09-1
                       ksysguard-git5.17.80.r3188.ge8c7aa12-15.17.80.r3193.g94f9bbc2-1
                     ktexteditor-git5.65.0.r2290.g911b7fa4-15.65.0.r2293.gcee9d964-1
                    ktextwidgets-git5.65.0.r281.gcc0a730-15.65.0.r285.g47d9c1b-1
                        kwayland-git5.65.0.r960.gc4a49fb-15.65.0.r962.g005a8ed-1
            kwayland-integration-git5.17.80.r131.g8339cba-15.17.80.r137.ge390476-1
                  kwidgetsaddons-git5.65.0.r609.g05bc842-15.65.0.r611.ge50d2ff-1
                            kwin-git5.17.80.r17498.g07099676e-25.17.80.r17534.gf45ad69c7-1
                   kwindowsystem-git5.65.0.r478.gb73efab-15.65.0.r479.gbe83a6c-1
                         kxmlgui-git5.65.0.r568.g46d2602-15.65.0.r573.g1fa7e40-1
                    libksysguard-git5.17.80.r1746.g482808c-15.17.80.r1754.gc0883b9-1
                          oxygen-git5.17.80.r4335.g173e32f6-15.17.80.r4338.g9deee658-1
                    oxygen-icons-git5.64.0.r201.ga97eb9f-15.65.0.r204.g99f892b-1
                oxygen-icons-svg-git5.64.0.r201.ga97eb9f-15.65.0.r204.g99f892b-1
      plasma-browser-integration-git5.17.80.r958.g45b169ff-15.17.80.r964.ge37eef54-1
                  plasma-desktop-git5.17.80.r7081.gaa369d739-15.17.80.r7113.g8f8fe2c23-1
                plasma-framework-git5.65.0.r15291.g24702a535-15.65.0.r15296.g7a301be29-1
              plasma-integration-git5.17.80.r442.g3c78666-15.17.80.r443.gfcc10ab-1
                       plasma-nm-git5.17.80.r2712.ge8a5db7e-15.17.80.r2714.g7b32a67e-1
                       plasma-pa-git5.17.80.r778.g0c2014a-15.17.80.r779.g3c0853a-1
                      plasma-sdk-git5.17.80.r2100.g6889c45-15.17.80.r2110.gbd18edf-1
          plasma-wayland-session-git5.17.80.r8478.g6901d3a78-15.17.80.r8504.g37c1ec108-1
                plasma-workspace-git5.17.80.r8478.g6901d3a78-15.17.80.r8504.g37c1ec108-1
                      powerdevil-git5.17.80.r2221.g2917962e-15.17.80.r2223.ge0441194-1
                         purpose-git5.64.0.r704.g6c64851-15.65.0.r716.g4e66751-1
              qqc2-desktop-style-git5.65.0.r311.g5ca508b-15.65.0.r313.g386248f-1
                        sddm-kcm-git5.17.80.r483.gfe4406d-15.17.80.r489.g7c06a9d-1
                          sonnet-git5.65.0.r499.g16bcc94-15.65.0.r500.gf6f6aa2-1
             syntax-highlighting-git5.65.0.r1043.g503dab9-15.65.0.r1045.g50d3bba-1
                  systemsettings-git5.17.80.r2153.gbd32faf8-15.17.80.r2162.g517463b5-1
                    threadweaver-git5.65.0.r417.g0f42a64-15.65.0.r418.g82fa4d0-1
           gnome-layout-switcher-dev                    -              0.6.1-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-01           2019-12-02
-------------------------------------------------------------------------------
     intellij-idea-community-edition         2:2019.2.4-1           2:2019.3-1
                             ipython              7.9.0-3             7.10.1-1
                   jupyter-nbconvert              5.6.0-4              5.6.1-1
                    jupyter-notebook              6.0.1-5              6.0.2-1
          jupyter-widgetsnbextension            1:3.5.0-4            1:3.5.1-1
                           libmysofa                0.8-1                0.9-1
                             netdata             1.18.1-1             1.19.0-1
                  nextcloud-app-news             14.0.1-1             14.0.2-1
                                 nnn                2.7-1                2.7-2
                       perl-cpanplus             0.9178-1             0.9902-1
                      python-breathe             4.13.1-3             4.14.0-1
                       python-gitlab             1.11.0-2             1.13.0-1
                 python-jupyter_core              4.6.0-3              4.6.1-1
                       python-pillow              6.2.0-4              6.2.1-1
               python-prompt_toolkit             2.0.10-3              3.0.2-1
                         python-xapp              1.8.0-1              1.8.1-1
                python2-jupyter_core              4.6.0-3              4.6.1-1
                      python2-pillow              6.2.0-4              6.2.1-1
                                tmux                3.0-2              3.0_a-1
                               xapps              1.6.2-1              1.6.5-1
                               mruby                    -              2.1.0-2
                               smlnj                    -             110.95-1
        yubikey-full-disk-encryption                    -       r143.2ce7aa7-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-01           2019-12-02
-------------------------------------------------------------------------------
                                file               5.37-4               5.37-5


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-01           2019-12-02
-------------------------------------------------------------------------------
                           calamares             3.2.17-2             3.2.17-3
                       calamares-git3.2.18.r6778.5b6bc4842-23.2.18.r6780.0e6c41415-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-01           2019-12-02
-------------------------------------------------------------------------------
                                bind             9.14.8-1             9.14.8-2
                          bind-tools             9.14.8-1             9.14.8-2
                       qt5-webengine             5.13.2-3             5.13.2-4
           telepathy-accounts-signon                2.0-1                2.1-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-01           2019-12-02
-------------------------------------------------------------------------------
                               smlnj             110.94-1                    -

That file was only part of the initial systemd 243 package before we downgraded it again.


In the past we always had issues when going bleeding edge with systemd. Now we try to use one stable branch behind the current branch in Manjaro.

7 Likes

But it wasn't. There is a file 0002-Use-BFQ-scheduler-by-default.patch which wasn't mentioned in PKGBUILD though. It looks like you got confused /etc/udev/rules.d/60-schedulers.rules with some other udev rules configuration.

Here is a story of /etc/udev/rules.d/60-schedulers.rules:
Originally reported by me: [systemd 243.0-1] Errors (from journalctl)
Below there are some posts which were the starting point for me to reveal the culprit.
And the origin of that file is this power-saving guide: [HowTo] Power savings setup| 20180906

Yeah, everyone should make themselves warned about potential issues when creating / editing system files too much according to their liking. Long forgotten edits may end up with something more serious than innocent warnings...

My point is: this is not a systemd issue, but the consequences of user's manual intervention to system files.

1 Like

Right. 60-block-scheduler.rules was for BFQ ... Most likely created with a similar guide like this.

1 Like

great update! the system freezes are gone on my laptop & when watching netflix. seems like it was systemd which was causing this - since this new update no freezes and lags anymore. great update! :slight_smile:

or some other update from this recent ones fixed it :smiley:

1 Like

All fine here, except that the e1000e Ethernet card on my DELL Precision Latitude 7520 still cannot connect under kernel 5.4.
It can still connect after a few minutes under 5.3.

Forum kindly sponsored by